Subject: Re: bug#44002: 27.1; Small window height with VcXsrv X server when built with gtk3 toolkit

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Oct 2020 10:52:29 +0300

> From: "J. Scott Berg" <[email-masked]>
> Date: Fri, 16 Oct 2020 23:29:09 +0000
> 
> I did a bit more debugging. What seems to be happening is that we receive a pair of ConfigureNotify events in rapid succession. The first is for the top level window, and has a reasonable width and height. The second is for the window associated with the frame, but it has a width=1 height=1. This then leads to the resizing of the frame. Presumably the frame's window is not yet mapped, and thus the bogus width and height. Checking for visibility on the frame fixes the problem. I've attached a patch that works for me, but I haven't exhaustively tested all the various possible cases.

Thanks.

Martin, any comments on the proposed patch?  Or on the problem in
general?

Btw, do we understand why this happens only with VcXsrv?